<?php

namespace App\Classes\Modules\Rules\DataTransferObjects;

use App\Classes\General\Interfaces\DataTransferObject;

class CheckPurchaseOrderRuleDTO implements DataTransferObject
{
    public int $bookingId;
    public int $companyId;

    public function __construct(array $data)
    {
        $this->bookingId = $data['booking_id'];
        $this->companyId = $data['company_id'];
    }

    public function toArray(): array
    {
        return [
            'booking_id' => $this->bookingId,
            'company_id' => $this->companyId,
        ];
    }
}
